Manuel PHP
Précédent |  | Suivant

# DOMElement->setAttributeNS()

(no version information, might be only in CVS)

DOMElement->setAttributeNS() -- Ajoute un nouvel attribut

## Description

class DOMElement {
void setAttributeNS ( string namespaceURI, string qualifiedName, string value )
}

Ajoute un attribut avec comme espace de noms namespaceURI et comme nom name avec comme valeur value. Si l'attribut n'existe pas, il sera créé.

## Liste de paramètres

namespaceURI

  L'URI de l'espace de noms.

qualifiedName

  Le nom qualifié de l'attribut, sous la forme prefixe:nomdebalise.

value

  La valeur de l'attribut.

## Valeurs de retour

Aucune valeur n'est retournée.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Lancé si le noeud est en lecture seule.

`DOM_NAMESPACE_ERR`

  Lancé si qualifiedName est un nom qualifié malformé ou si qualifiedName a un préfixe et un namespaceURI qui vaut `NULL`.

## Voir aussi

DOMElement->hasAttributeNS()
DOMElement->getAttributeNS()
DOMElement->removeAttributeNS()

Précédent | Sommaire | Suivant
DOMElement->setAttributeNodeNS() | Niveau supérieur | DOMEntityReference->__construct()